{if !empty($articles)}
{assign var="listingGuid" value=kkDropperUtils::generateGuid()}
<div class="int-evo-gallery-listing int-evo-gallery-listing-{$listingGuid} {$listingClass|default:''}">
{foreach from=$articles item="article"}
{include file="listing/article.tpl"|drop_tpl_interface fromListing=true article=$article articleClass=$articleClass|default:''}
{/foreach}
</div>
<script type="text/javascript">
DropperFramework.init('.int-evo-gallery-listing-{$listingGuid}', function(drop) {
	if (!$ || !$.evo || !$.evo.article) return;
	drop.$.find('.int-evo-listing-product-wrapper').each(function() {
		var $articleWrapper = $(this);
		$.evo.article().register($articleWrapper);
		$articleWrapper.find('.image-box').addClass('loaded');
		$articleWrapper.find('img[data-src]').each(function() {
			$(this).attr('src', $(this).attr('data-src'));
		});
	});
});
</script>
{/if}